> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Recognition Hcaptcha

> hCaptcha image recognition ap i, pass in the content to be recognized and the image of hCaptcha, return the small map coordinates that need to be clicked.



## OpenAPI

````yaml /openapi/hcaptcha.json post /captcha/recognition/hcaptcha
openapi: 3.0.0
info:
  title: hCaptcha verification code recognition service
  version: 1.0.0
  description: >-
    API reference for hCaptcha verification code recognition service on Ace Data
    Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /captcha/recognition/hcaptcha:
    post:
      summary: Recognition Hcaptcha
      description: >-
        hCaptcha image recognition ap i, pass in the content to be recognized
        and the image of hCaptcha, return the small map coordinates that need to
        be clicked.
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Captcha Recognition Hcaptcha Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                queries:
                  type: array
                  items:
                    type: string
                  description: Captcha Recognition Hcaptcha Queries
                question:
                  type: string
                  description: Captcha Recognition Hcaptcha Question
                async:
                  type: boolean
                  example: false
                  default: false
                  description: >-
                    When true, return immediately with a task_id instead of
                    blocking until the captcha is solved. Poll POST
                    /captcha/tasks with that task_id to retrieve the result.
                    Billing occurs once, only on a solved result.
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  solution:
                    box:
                      - '565'
                      - '140'
                    label: Please click the center of the seahorses head
                    confidences: 0.7175476551055908
                properties:
                  solution:
                    type: object
                    items:
                      type: object
                      properties:
                        box:
                          type: array
                          items:
                            type: number
                          description: >-
                            Captcha Recognition Hcaptcha Response 200 Solution
                            Box
                        label:
                          type: string
                          description: >-
                            Captcha Recognition Hcaptcha Response 200 Solution
                            Label
                        confidence:
                          type: number
                          description: >-
                            Captcha Recognition Hcaptcha Response 200 Solution
                            Confidence
                    description: Captcha Recognition Hcaptcha Response 200 Solution
          description: Captcha Recognition Hcaptcha Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Message 2
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Message 3
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Message 4
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: >-
                              Captcha Recognition Hcaptcha Response 400 Error
                              Message 5
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 400 Trace Id 5
          description: Captcha Recognition Hcaptcha Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Code 2
                          message:
                            type: string
                            example: token expired.
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Message 2
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: >-
                              Captcha Recognition Hcaptcha Response 401 Error
                              Message 3
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 401 Trace Id 3
          description: Captcha Recognition Hcaptcha Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: >-
                              Captcha Recognition Hcaptcha Response 403 Error
                              Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: >-
                              Captcha Recognition Hcaptcha Response 403 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 403 Trace Id
          description: Captcha Recognition Hcaptcha Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: >-
                              Captcha Recognition Hcaptcha Response 404 Error
                              Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: >-
                              Captcha Recognition Hcaptcha Response 404 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 404 Trace Id
          description: Captcha Recognition Hcaptcha Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: >-
                              Captcha Recognition Hcaptcha Response 429 Error
                              Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: >-
                              Captcha Recognition Hcaptcha Response 429 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 429 Trace Id
          description: Captcha Recognition Hcaptcha Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: >-
                              Captcha Recognition Hcaptcha Response 500 Error
                              Code
                          message:
                            type: string
                            example: Internal server error.
                            description: >-
                              Captcha Recognition Hcaptcha Response 500 Error
                              Message
                      trace_id:
                        type: string
                        description: Captcha Recognition Hcaptcha Response 500 Trace Id
          description: Captcha Recognition Hcaptcha Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````